libhttppp ..

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
libhttppp::HttpUrl Class Reference

## Public Types
enum | HttpProtocol { HTTP =0 , HTTPS =1 , HTTP3 =2 }

## Public Member Functions
| HttpUrl (const std::string &url, bool http3=false)
| HttpUrl (const HttpUrl &src)
bool | operator== (const HttpUrl &other) const
bool | operator< (const HttpUrl &other) const
int | getProtocol () const
const std::string & | getHost () const
int | getPort () const
const std::string & | getPath () const
void | clear ()
std::string | print () const

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp